﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Core.LJElements
{
	[Serializable]
	public class CommentInfo
	{
		//DateTime _dateAdd;

		/// <summary>
		/// Дата добавления
		/// </summary>
		/*public DateTime DateAdd
		{
			get
			{
				return _dateAdd;
			}
			set
			{
				_dateAdd = value;
			}
		}*/

		/// <summary>
		/// Дата комментария
		/// </summary>
		string _date = "";

		public string Date
		{
			get { return _date; }
			set { _date = value; }
		}


		/// <summary>
		/// Ссылка на комментарий (отсюда можно выудить его номер)
		/// </summary>
		private string _link;

		public string Link
		{
			get { return _link; }
			set { _link = value; }
		}



		UserInfo _userInfo = new UserInfo();

		public UserInfo UserInformation
		{
			get
			{
				return _userInfo;
			}
			set
			{
				_userInfo = value;
			}
		}

		public override string ToString()
		{
			StringBuilder sb = new StringBuilder ();
			return sb.AppendFormat ("Username: {0}\r\nUserpic link: {1}\r\nInfo link: {2}\r\nJournal link: {3}", _userInfo.UserName, _userInfo.UserpicLink, _userInfo.ProfileLink, _userInfo.JournalLink).ToString ();
		}


	}
}
