﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Diagnostics;

namespace Core.LJElements
{
	// Предназначен для пометки непрочитанных сообщений
	public static class CommentsComparer
	{
		public static void MarkNewComments (MessageBase oldMessage, MessageBase newMessage)
		{
			/*Debug.Assert (oldMessage.CommentsCount <= newMessage.CommentsCount);

			if (oldMessage.CommentsCount == newMessage.CommentsCount)
			{
				// Если число комментариев не изменилось
				return;
			}*/

			Comment[] oldComments = oldMessage.Comments;
			Comment[] newComments = newMessage.Comments;

			for (int i = 0; i < newComments.Length; ++i)
			{
				if (i >= oldComments.Length)
				{
					newComments[i].SetThreadRead (false);
					//newComments[i].LastUpdate = DateTime.Now;
				}
				else
				{
					if (!oldComments[i].IsRead)
					{
						newComments[i].SetThreadRead (false);
						newComments[i].SetParentRead (true);
					}
					else
					{
						MarkNewComments (oldComments[i], newComments[i]);
					}
				}
			}
		}
	}
}
