﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Core.LJElements
{
	[Serializable]
	public class UserInfo
	{
		string _userName = "";

		/// <summary>
		/// Ник юзера
		/// </summary>
		public string UserName
		{
			get
			{
				return _userName;
			}
			set
			{
				_userName = value;
			}
		}

		string _userpicLink = "";

		/// <summary>
		/// ССылка на юзерпик
		/// </summary>
		public string UserpicLink
		{
			get
			{
				return _userpicLink;
			}
			set
			{
				_userpicLink = value;
			}
		}

		public string UserPicsLink
		{
			get
			{
				string result = "http://";

				if (_userName.Length != 0)
				{
					StringBuilder sb = new StringBuilder ();
					result = sb.AppendFormat ("http://www.livejournal.com/allpics.bml?user={0}", _userName).ToString ();
				}

				return result;
			}
		}

		public string CalendarLink
		{
			get
			{
				string result = "http://";

				if (_userName.Length != 0)
				{
					StringBuilder sb = new StringBuilder ();
					result = sb.AppendFormat ("http://{0}.livejournal.com/calendar", _userName).ToString ();
				}

				return result;
			}
		}

		public string FriendsLink
		{
			get
			{
				string result = "http://";

				if (_userName.Length != 0)
				{
					StringBuilder sb = new StringBuilder ();
					result = sb.AppendFormat ("http://www.livejournal.com/users/{0}/friends", _userName).ToString ();
				}

				return result;
			}
		}

		public string MemoriesLink
		{
			get
			{
				string result = "http://";

				if (_userName.Length != 0)
				{
					StringBuilder sb = new StringBuilder ();
					result = sb.AppendFormat ("http://www.livejournal.com/tools/memories.bml?user={0}", _userName).ToString ();
				}

				return result;
			}

		}
		public string ProfileLink
		{
			get
			{
				string result = "http://";

				if (_userName.Length != 0)
				{
					StringBuilder sb = new StringBuilder ();
					result = sb.AppendFormat ("http://{0}.livejournal.com/profile/", _userName).ToString ();
				}

				return result;
			}
		}

		public string JournalLink
		{
			get
			{
				string result = "http://";

				if (_userName.Length != 0)
				{
					StringBuilder sb = new StringBuilder ();
					result = sb.AppendFormat ("http://{0}.livejournal.com/", _userName).ToString ();
				}

				return result;
			}
		}
	}
}
