using System;
using System.Collections.Generic;
using System.Text;
using System.IO;
using System.Net;
using System.ComponentModel;

using Core;
using Core.LJElements;
using Core.Log;

namespace LJWatcher
{
	/// <summary>
	///   ,        
	/// </summary>
	internal class UpdateThreadParams
	{
		public readonly ILog log;

		/// <summary>
		///   
		/// </summary>
		//public readonly bool IsLogin;

		public readonly BackgroundWorker BackWorker;

		/// <summary>
		///   
		/// </summary>
		public readonly CookieCollection Cookies;

		private List<PostPosition> _postsList = new List<PostPosition> ();


		public UpdateThreadParams (ILog currlog, 
			CookieCollection cookies, 
			BackgroundWorker worker)
		{
			log = currlog;
			//IsLogin = isLogin;
			Cookies = cookies;

			BackWorker = worker;
		}

		public void Add (Post post, int index)
		{
			_postsList.Add (new PostPosition (post, index));
		}

		public PostPosition this[int index]
		{
			get
			{
				return _postsList[index];
			}
		}

		public int Count
		{
			get
			{
				return _postsList.Count;
			}
		}

		public class PostPosition
		{
			/// <summary>
			/// 
			/// </summary>
			public readonly Post post;

			/// <summary>
			///    
			/// </summary>
			public readonly int index;

			public PostPosition (Post currPost, int currIndex)
			{
				post = currPost;
				index = currIndex;
			}
		};
	};
}
